<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

    <title>Homepage</title>
  </head>
  <body>
  <div class="row">
        <div class="col-8" style="border:1px solid green;"><h5>Product Details</h5>
            <form action="" method="POST">              
              {% csrf_token %}
              <!-- <table>
                {% for pro in Product %}
                  <tr>
                    <th>Product Details</th>
                    <td>
                      {{ pro.name }}
                      {{ pro.quantity }}
                      {{ pro.product_category}}
                    </td>
                  </tr>
                {% endfor %}
              </table> -->
              {{form.as_p}}
              <button type="submit">Add to Cart</button>
            </form>
        </div>
      <div class="col-4" style="border:1px solid rgb(129, 49, 209);"><h5>Checkout</h5>
        <div class="container">
          <div class="table-responsive text-nowrap">
            <table class="table">
              <thead>
                <tr>
                    <th scope="col">No</th>
                    <th scope="col">Item title</th>
                    <th scope="col">Quantity</th>
                    <th scope="col">Price</th>
                    <th scope="col">Total Item Price</th>
                </tr>
              </thead>
                <tbody>
                  {% for carts in cart%}
                  <tr>
                      <td>{{carts.cartProduct.id}}</td>
                      <td>{{carts.cartProduct.name}}</td>
                      <td>{{carts.quantity}}</td>
                      <td>{{carts.cartProduct.price}}</td>
                      <td>{% widthratio carts.cartProduct.price 1 carts.quantity %}</td>
                  </tr>
                  {%endfor%}
                </tbody>
            </table>
            <a href="{% url 'checkout' %}" class="btn btn-primary">Checkout</a>
          </div>
        </div></div>
  </div>
    <a href="{% url 'logout' %}" class="btn btn-primary">Logout</a>
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
  </body>
</html>